<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__gattdb__entry__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_gattdb_entry_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__gattdb__entry__t_1abd0ad6cd9ae13e4118cbac81ca75e869" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_gattdb_entry_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>attribute Handle </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="806" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="806" />
      </memberdef>
      <memberdef id="structwiced__gattdb__entry__t_1a9bf8e84fd587d48e8dcb353f8043433a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_gattdb_entry_t::perm</definition>
        <argsstring />
        <name>perm</name>
        <briefdescription>
<para>attribute permission. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="807" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="807" />
      </memberdef>
      <memberdef id="structwiced__gattdb__entry__t_1a3946e61f2efaae0c1c69c6c17744e146" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_gattdb_entry_t::len</definition>
        <argsstring />
        <name>len</name>
        <briefdescription>
<para>attribute length . </para>
        </briefdescription>
        <detaileddescription>
<para>It excludes the header. </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="808" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="808" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used by wiced_bt_gattdb APIS, to parse GATTDB. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="809" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="804" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="805" />
    <listofallmembers>
      <member prot="public" refid="structwiced__gattdb__entry__t_1abd0ad6cd9ae13e4118cbac81ca75e869" virt="non-virtual"><scope>wiced_gattdb_entry_t</scope><name>handle</name></member>
      <member prot="public" refid="structwiced__gattdb__entry__t_1a3946e61f2efaae0c1c69c6c17744e146" virt="non-virtual"><scope>wiced_gattdb_entry_t</scope><name>len</name></member>
      <member prot="public" refid="structwiced__gattdb__entry__t_1a9bf8e84fd587d48e8dcb353f8043433a" virt="non-virtual"><scope>wiced_gattdb_entry_t</scope><name>perm</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>